<div class="p-20">
	<div class="mb-20">
		<div class="breadcrumbs "  >
			<a class="breadcrumbs__item"
				[routerLink]="['../../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span >
				      Список приемных кампаний
				</span>
			</a>
			<ng-container *ngIf="idCampaign">
				<span> /</span>
				<a class="breadcrumbs__item"
				   [routerLink]="['../../', idCampaign, 'competitive']">
					<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
					<span >
				     Конкурсные группы
				</span>
				</a>

			</ng-container>


		</div>
		<div>
			<h2 fxFlex=""> Создание конкурсных групп </h2>

			<button mat-flat-button color='primary'
				(click) = "save()"
				[disabled]="!validForms()">
				<!--(click)="sendData()"
				 || !entrantForm.valid || !identificationForm.valid"-->
				Добавить
			</button>
		</div>


	</div>

	<mat-card class="art-card">
<!--		<button mat-stroked-button (click)="getForms()"> Показать данные</button>-->
		<mat-horizontal-stepper linear #stepper>
			<ng-template matStepperIcon="edit">
				<mat-icon svgIcon="pencil"></mat-icon>
			</ng-template>

			<ng-template matStepperIcon="done">
				<mat-icon svgIcon="check"></mat-icon>
			</ng-template>

			<mat-step  [stepControl]="competitiveForm"><!---->
				<form [formGroup]="competitiveForm">
					<ng-template matStepLabel>Основные данные</ng-template>


					<div fxLayout="row" fxLayout.lt-md="column">
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">

							<mat-label>Приемная капания</mat-label>
							<mat-select formControlName="id_campaign"
										[appDisableControl]="idCampaign >= 0"
							            required>
								<ngx-mat-select-search
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Данные не найдены'"
									[(ngModel)]="search.campaign"  [ngModelOptions]="{standalone: true}">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
								<mat-option *ngFor="let item of cls.campaign.data | filter: search.campaign " [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Наименование конкурсной группы</mat-label>
							<input matInput formControlName="name" required>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="32.6" fxFlex.lt-md="100" >
							<mat-label>UID</mat-label>
							<input matInput formControlName="uid" appNullValue>
						</mat-form-field>
					</div>


					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Уровень образования</mat-label>
							<mat-select formControlName="id_education_level"
							            (valueChange)="educationLevelChange.next($event)"
							            required >
								<mat-option *ngFor="let item of cls.education_level.data" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Источник финансирования</mat-label>
							<mat-select formControlName="id_education_source" required>
								<mat-option *ngFor="let item of cls.education_source.data" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>


						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Уровень бюджета</mat-label>
							<mat-select formControlName="id_level_budget"
							            [appDisableControl]="competitiveForm.controls['id_education_source'].value === EDUC_SOURC_PAID"
							            [required]="competitiveForm.controls['id_education_source'].value !== EDUC_SOURC_PAID" >
								<mat-option *ngFor="let item of cls.level_budget.data" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>

					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Форма обучения</mat-label>
							<mat-select formControlName="id_education_form" required>
								<mat-option *ngFor="let item of cls.education_forms.data" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>

						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Направление подготовки</mat-label>
							<mat-select formControlName="id_direction"
							            required>
								<ngx-mat-select-search
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Данные не найдены'"
									[(ngModel)]="search.direction"  [ngModelOptions]="{standalone: true}">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
								<mat-option *ngFor="let item of  cls.direction.data | filter: search.direction" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>




						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Количество мест</mat-label>
							<input matInput formControlName="number"
							       appInteger maxlength="4" required>
						</mat-form-field>

					</div>

					<div>
						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Комментарий </mat-label>
							<textarea matInput formControlName="comment" appNullValue rows="2"> </textarea>
						</mat-form-field>
					</div>
<!--

					{{ this.competitiveForm.getRawValue() | json }}
					{{search.direction}}
-->



					<div>
						<button mat-flat-button
						        matStepperNext
						        class="my-16"
						        color="accent"
						        type="button">Далее
							<mat-icon svgIcon="arrow-right"></mat-icon>
						</button>
					</div>
				</form>
			</mat-step>

			<mat-step [stepControl]="educationGroupForm">
				<ng-template matStepLabel>Образовательные программы</ng-template>
				<button mat-stroked-button
				        (click)="addEducationPrograms()"
						class="mb-16">
					<mat-icon svgIcon="plus"></mat-icon>
					Добавить образовательную программу
				</button>
				<form [formGroup]="educationGroupForm">
					<div formArrayName="education_programs">
						<ng-container *ngFor="let item of educationPrograms.controls; index as ind" >
							<div [formGroupName]="ind"  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="75">
									<mat-label> Наименование образовательной программы</mat-label>
									<input matInput formControlName="name" required>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="25">
									<mat-label> UID</mat-label>
									<input matInput formControlName="uid" appNullValue>
								</mat-form-field>

								<div>
									<button mat-flat-button (click)="deleteEducationPrograms(ind)">
										<mat-icon svgIcon="close"></mat-icon>
										<span> Удалить </span>
									</button>
								</div>

							</div>


						</ng-container>

					</div>
				</form>

				<!--{{ this.educationGroupForm.getRawValue() | json }}-->

				<div>
					<button mat-flat-button
					        matStepperPrevious
					        class="my-16 mr-16"
					        color="accent"
					        type="button">
						<mat-icon svgIcon="arrow-left"></mat-icon>
						Назад
					</button>

					<button mat-flat-button
					        matStepperNext
					        class="my-16"
					        color="accent"
					        type="button">Далее
						<mat-icon svgIcon="arrow-right"></mat-icon>
					</button>

				</div>


			</mat-step>

			<mat-step [stepControl]="entranceTestsGroupForm">
				<ng-template matStepLabel>Вступительные испытания</ng-template>
				<button mat-stroked-button
				        (click)="addEntranceTests() " class="mb-16">
					<mat-icon svgIcon="plus"></mat-icon>
					Добавить вступительное испытание
				</button>

				<form [formGroup]="entranceTestsGroupForm" >
					<ng-container formArrayName="entrance_tests"
						*ngFor="let item of entranceTests.controls; index as ind">
						<div [formGroupName]="ind" >
							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="75">
									<mat-label> Тип Вступительного испытания</mat-label>
									<mat-select formControlName="id_entrance_test_type" required>
										<mat-option *ngFor="let item of  cls.entrance_test_types.data " [value]="item.id">
											{{item.name}}
										</mat-option>
									</mat-select>
								</mat-form-field>
								<mat-form-field appearance="fill" fxFlex="31">
									<mat-label> UID </mat-label>
									<input matInput formControlName="uid" appNullValue>
								</mat-form-field>
							</div>
							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="15" fxFlex.lt-md="100">
									<mat-label> ЕГЭ</mat-label>
									<mat-select formControlName="is_ege"
									            (valueChange)="changeEge($event, item)"
									            required>
										<mat-option [value]="true">Да</mat-option>
										<mat-option [value]="false">Нет</mat-option>
									</mat-select>
								</mat-form-field>
								<mat-form-field *ngIf="item.get('is_ege').value" appearance="fill"  fxFlex="" fxFlex.lt-md="100" >
									<mat-label> Предмет</mat-label>
									<mat-select formControlName="id_subject"
									            (valueChange)="changeSubject($event, item)"
									            [appDisableControl]="!item.get('is_ege').value"
									            [required]="item.get('is_ege').value">
										<ngx-mat-select-search
											[placeholderLabel]="'Поиск'"
											[noEntriesFoundLabel]="'Данные не найдены'"
											[(ngModel)]="search.subject_ege"  [ngModelOptions]="{standalone: true}">
											<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
										</ngx-mat-select-search>
										<mat-option *ngFor="let item of cls.subjects_ege.data | filter: search.subject_ege "
										            [value]="item.id">
											{{item.name}}
										</mat-option>
									</mat-select>
									<mat-error *ngIf="item.get('id_subject').hasError('unique')">
										Уже создано вступительное испытание с данным предметом ЕГЭ
									</mat-error>
								</mat-form-field>

								<mat-form-field *ngIf="!item.get('is_ege').value" appearance="fill" fxFlex="" fxFlex.lt-md="100">
									<mat-label> Предмет</mat-label>
									<input matInput [matAutocomplete]="auto"
									       formControlName="test_name"
									       [appDisableControl]="item.get('is_ege').value"
									       [required]="!item.get('is_ege').value">
									<mat-autocomplete #auto="matAutocomplete">
										<mat-option *ngFor="let item of cls.subjects_no_ege.data | filter: item.get('test_name').value || '' " [value]="item.name">
											{{item.name}}
										</mat-option>
									</mat-autocomplete>
									<mat-error *ngIf="item.get('test_name').hasError('unique')">
										Уже создано вступительное испытание с данным предметом
									</mat-error>
								</mat-form-field>


								<mat-form-field appearance="fill"  fxFlex="15" fxFlex.lt-md="100" >
									<mat-label> Минимальный балл</mat-label>
									<input matInput appInteger formControlName="min_score" required>
								</mat-form-field>

								<mat-form-field appearance="fill"  fxFlex="15" fxFlex.lt-md="100" >
									<mat-label> Приоритет (от 1 до 10)</mat-label>
									<input matInput appInteger maxLength="2"
									       formControlName="priority" required>
									<mat-error *ngIf="item.get('priority').hasError('unique')">
										Этот приоритет уже установлен в данном конкурсной группе
									</mat-error>
								</mat-form-field>


							</div>
						</div>

						<div>
							<button mat-flat-button (click)="deleteEntranceTests(ind)">
								<mat-icon svgIcon="close"></mat-icon>
								<span> Удалить </span>
							</button>
						</div>

						<mat-divider></mat-divider>


					</ng-container>

				</form>

				<!--pre><{{ this.entranceTestsGroupForm.value | json }}</pre>
				<pre>{{ this.entranceTestsGroupForm.valid | json }}</pre>
				<pre>{{ this.entranceTestsGroupForm.errors | json }}</pre>-->

				<div>
					<button mat-flat-button
					        matStepperPrevious
					        class="my-16 mr-16"
					        color="accent"
					        type="button">
						<mat-icon svgIcon="arrow-left"></mat-icon>
						Назад
					</button>

				</div>


			</mat-step>
		</mat-horizontal-stepper>

	</mat-card>
</div>
